Debian Bug report logs - #465290
busybox: long term mass bug filing for cross build support

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Neil Williams <codehelp@debian.org>

Date: Mon, 11 Feb 2008 17:24:05 UTC

Severity: wishlist

Tags: patch

Merged with 355130, 466857, 572431

Found in versions busybox/1:1.1.3-5, busybox/1:1.14.2-2

Fixed in version busybox/1:1.19.2-1

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#465290; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: busybox: long term mass bug filing for cross build support
Date: Mon, 11 Feb 2008 17:22:15 +0000
[Message part 1 (text/plain, inline)]
Package: busybox
Version: 1:1.1.3-5
Severity: wishlist
Tags: patch
User: codehelp@debian.org
Usertags: crossbuilt

In line with the other cross-building support bugs:
http://lists.debian.org/debian-devel/2007/11/msg00116.html

This patch is necessary to allow busybox to cross-build in Debian,
following the recommendation in autotools-dev.


*** ../crossbuild.diff
--- busybox-1.1.3.debian/debian/rules 
+++ busybox-1.1.3.emdebian/debian/rules 
@@ -6,6 +6,15 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+CC=$(DEB_HOST_GNU_TYPE)-gcc
+MAKE += -e
+else
+CC=gcc
+endif
 
 VERSION = $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 EXTRA_VERSION = Debian $(VERSION)
@@ -45,8 +54,8 @@
 	@rm -rf $(DIR)
 	mkdir $(DIR)
 	cp '$(CONFIG)' $(DIR)/.config
-	$(MAKE) O=$(CURDIR)/$(DIR) oldconfig
-	$(MAKE) -C $(CURDIR)/$(DIR)
+	CC=$(CC) $(MAKE) O=$(CURDIR)/$(DIR) oldconfig
+	CC=$(CC) $(MAKE) -C $(CURDIR)/$(DIR)
 	cp $(DIR)/docs/BusyBox.1 $(DIR)/docs/busybox.1
 	touch $@
 


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages busybox depends on:
ii  libc6                         2.7-6      GNU C Library: Shared libraries

busybox recommends no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Merged 355130 465290. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Mon, 24 Mar 2008 13:36:16 GMT) Full text and rfc822 format available.

Merged 355130 465290 466857. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 16 Jan 2011 19:03:03 GMT) Full text and rfc822 format available.

Merged 355130 465290 466857 572431. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 28 Jan 2011 21:33:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sat, 13 Aug 2011 09:27:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Nov 2011 07:34:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:55:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.